# yamllint disable
# License: GNU Lesser General Public License v3.0
# source (original): https://github.com/ajinabraham/njsscan/blob/master/njsscan/rules/semantic_grep/electronjs/security_electron.yaml
# hash: e7a0a61
# yamllint enable
---
rules:
- id: "javascript-electron-misconfiguration-disable-websecurity-atomic"
  pattern: |
      webPreferences: {...,webSecurity: false,...}
  message: |
    Disabling webSecurity will disable the same-origin policy and allows the execution of insecure code from any domain.
  languages:
  - "javascript"
  severity: "ERROR"
  metadata:
    attack-type: misconfiguration
    framework: electron
    kind: code
    owasp: 
    - "A6:2017-Security Misconfiguration"
    - "A05:2021-Security Misconfiguration"
    cwe: "CWE-346" 
    shortDescription: "Origin validation error"
    security-severity: "Critical"
    category: "security"  
